Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.management.relation
Class RoleUnresolved

    java.lang.Object
      |
      +--javax.management.relation.RoleUnresolved

All Implemented Interfaces:
  java.io.Serializable

public class RoleUnresolved
extends java.lang.Object
implements java.io.Serializable

Represents an unresolved role: a role not retrieved from a relation due to a problem. It provides the role name, value (if problem when trying to set the role) and an integer defining the problem (constants defined in RoleStatus).

Author:
  Young Yang
See Also:
  Serialized Form

Constructor Summary
`RoleUnresolved(java.lang.String roleName, java.util.List roleValue, int roleStatus)` Constructor

Method Summary
`java.lang.Object` | `clone()` Clone
`int` | `getProblemType()` Retrieves problem type
`java.lang.String` | `getRoleName()` Retrieves role name
`java.util.List` | `getRoleValue()` Retrieves role value
`void` | `setProblemType(int roleStatus)` Sets problem type
`void` | `setRoleName(java.lang.String roleName)` Sets role name
`void` | `setRoleValue(java.util.List roleValue)` Sets role value
`java.lang.String` | `toString()` Prints a string describing the role

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RoleUnresolved

    public RoleUnresolved(java.lang.String roleName,
                          java.util.List roleValue,
                          int roleStatus)
                   throws java.lang.IllegalArgumentException

  Constructor

Parameters:
  `roleName` - name of the role
  `roleValue` - value of the role (if problem when setting the role)
  `roleStatus` - type of problem (according to known problem types, listed as static final members).
Throws:
  `java.lang.IllegalArgumentException` - if null parameter or incorrect problem type

Method Detail

### getRoleName

    public java.lang.String getRoleName()

  Retrieves role name

### getRoleValue

    public java.util.List getRoleValue()

  Retrieves role value

  Returns:
    an ArrayList of ObjectName objects, the one provided to be set in given role. Null if the unresolved role is returned for a read access.

### getProblemType

    public int getProblemType()

  Retrieves problem type

  Returns:
    an integer corresponding to a problem, those being described as static final members of current class.

### setRoleName

    public void setRoleName(java.lang.String roleName)
                     throws java.lang.IllegalArgumentException

  Sets role name

  Throws:
    `java.lang.IllegalArgumentException` - if null parameter

### setRoleValue

    public void setRoleValue(java.util.List roleValue)

  Sets role value

  Parameters:
    `roleValue` - ArrayList of ObjectName objects for referenced MBeans not set in role.

### setProblemType

    public void setProblemType(int roleStatus)
                        throws java.lang.IllegalArgumentException

  Sets problem type

  Parameters:
    `roleStatus` - integer corresponding to a problem. Must be one of those described as static final members of current class.
  Throws:
    `java.lang.IllegalArgumentException` - if incorrect problem type

### clone

    public java.lang.Object clone()

  Clone

  Overrides:
    `clone` in class `java.lang.Object`
  Returns:
    an independent clone

### toString

    public java.lang.String toString()

  Prints a string describing the role

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD